Summary: Transparent and scalable SSL/TLS interception
Name: sslsplit
Version: 0.4.4
Release: 1%{?dist}
License: BSD
Url: http://www.roe.ch/SSLsplit
Source: http://mirror.roe.ch/rel/sslsplit/%{name}-%{version}.tar.bz2
Group: Applications/System
Buildrequires: libevent-devel, openssl-devel
Requires: iptables, iproute

%description
SSLsplit is a tool for man-in-the-middle attacks against SSL/TLS encrypted
network connections. Connections are transparently intercepted through a
network address translation engine and redirected to SSLsplit. SSLsplit
terminates SSL/TLS and initiates a new SSL/TLS connection to the original
destination address, while logging all data transmitted. SSLsplit is
intended to be useful for network forensics and penetration testing.

It uses Linux netfilter REDIRECT and TPROXY


%prep
%setup -q 
# disable the ecc test
sed -i "s/rsa dsa ec/rsa dsa /" extra/pki/GNUmakefile

%build
# work around some odd build system option passing
export CFLAGS="$RPM_OPT_FLAGS"
export DEBUG_CFLAGS="$RPM_OPT_FLAGS"
make %{?_smp_mflags} 

%check
#make test

%install
mkdir -p %{buildroot}%{_bindir} %{buildroot}%{_mandir}/man1/
cp %{name} %{buildroot}%{_bindir}
cp %{name}.1  %{buildroot}%{_mandir}/man1/
gzip  %{buildroot}%{_mandir}/man1/*.1

%files 
%{_bindir}/%{name}
%doc README TODO
%{_mandir}/*/*

%changelog
* Mon May 28 2012 Paul Wouters <pwouters@redhat.com> - 0.4.4-1
- Initial package
